FSHARPI(1)

NAME
fsharpi - manual page for F# 3.0 interactive REPL (Open Source Edition)

DESCRIPTION
Interactive REPL console for the F# language, version 3.0

SYNOPSIS
fsharpi [options...] [script.fsx [arguments...]

OPTIONS

  INPUT FILES

--use:file
    Use the given file on startup as initial input

--load:file
    #load the given file on startup --reference:assembly, -r assembly Reference an assembly -- Pass remaning arguments to script, accessed using fsi.CommandLineArgs

  CODE GENERATION

--debug[+|-], -g
    Emit debug information

--debug:[full|pdbonly]
    Specify debugging type: full, pdbonly. full is the default and enables attaching a debugger to a running program.

--optimize[+|-], -O
    Enable optimizations

--tailcalls[+|-]
    Enable tailcalls

--crossoptimize[+|-]
    Enable cross-module optimizations

  ERRORS AND WARNINGS

--warnaserror[+|-]
    Report all warnings as errors

--warnaserror[+|-]:warn[;warn[;...]]
    Report specific warnings as errors

--warn:n
    Set a warning level (0-5)

--nowarn:warn[;warn[;...]]
    Disable specific warning messages

--warnon:warn[;warn[;...]]
    Enable specific warnings that may be off by default

--consolecolors[+|-]
    Output warning and error messages in color

  LANGUAGE

--checked[+|-]
    Generate overflow checks

--define:string, -d string
    Define conditional compilation symbols

--mlcompatibility
    Ignore ML compatibility warnings

  MISCELLANEOUS

--nologo
    Suppress compiler copyright message

--help, -?
    Display this usage message

  ADVANCED

--codepage:n
    Specify the codepage used to read source files

--utf8output
    Output messages in UTF-8 encoding

--fullpaths
    Output messages with fully qualified paths

--lib:dir[;dir[;...]], -I dir[;dir[;...]]
    Specify a directory for the include path which is used to resolve source files and assemblies

--baseaddress:address
    Base address for the library to be built

--noframework
    Do not reference the default CLI assemblies by default

--standalone
    Statically link the F# library and all referenced DLLs that depend on it into the assembly being generated

--staticlink:assembly
    Statically link the given assembly and all referenced DLLs that depend on this assembly. Use an assembly name e.g. mylib, not a DLL name.

--resident
    Use a resident background compilation service to improve compiler startup times.

--pdb:file
    Name the output debug file

--simpleresolution
    Resolve assembly references using directory-based rules rather than MSBuild resolution

--highentropyva[+|-]
    Enable high-entropy ASLR

--subsystemversion:string
    Specify subsystem version of this assembly